[SALES] Penambahan Fungsi Auto Calculate di Header dan ltem
12/29/2022 12:50 PM - Kezia Pawitra Yulianti

Status: QA Test Start date: 12/29/2022
Priority: Urgent Due date: 01/04/2023
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Yomma,

mohon untuk dapat dibuatkan fungsi auto calculate untuk bbrp field sbb:

1. di tabel PTRSALESHEADER sudah di tambahkan field TaxPercentage, untuk dibuatkan auto fill dr parameter di
PCMEPGENPARAM dgn parameter TAXPPN yg ada di Value1 namun tetep bisa di edit saat di document sales header nya.

2. di tabel PTRSALESITEMS, untuk dibuatkan auto calculate pd field Tax yg menghitung dr nilai Tax yg ada di field TaxPercentage
pd tabel PTRSALESHEADER di document tsb di kalikan dengan field NetAmount.

3. di tabel PTRSALESITEMS, untuk dibuatkan auto calculate pd field TotAmount yg menghitung dari NetAmount dijumlah dgn field
Tax

Demikian, kalau diperlukan diskusi silahkan ya
Terima kasih

History

#1 - 12/29/2022 12:51 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 01/30/2023 04:19 PM - Tri Rizqiaty

- File clipboard-202301301618-yvpwf.png added
- File Discount 20230124.js added

- File Discount Percent 20230124.js added

- File Func TaxPPN.js added

- File Price Amount 20230124.js added

- Status changed from Assigned to Developing

Fixing :
1. Update field SelectFunction di SDATATABLEFIELD - TableName : PTRSALESITEMS - FieldName : Discount, PriceAmount, PricePrecentage

2. Update field DefaultValue di SDTATABLEFIELD - TableName : PTRSALESHEADER - FieldName : TaxPercentage
3. Update table PCMEPGENPARAM - Parameter TAXPP - sesuai gambar dibawah
LR e T W I S ole S T W SR SOLOQuery13.5ql - 19..._ERP_2021 (sa (52))" WIN-BALGKCHRAS5...1 - dbo.PCMFUNC WIN-B4LGKCHR455\... SDATATABLEFIELD

Column Alias Table Outp.. Sort Type Sort Order Filter Or.. Or.. Or..
StartDate PCMEPGE...
EndDate PCMEPGE...
» Parameter PCMEPGE... TAXPEN'
Sequence PCMERGE..
Medule PCMEPGE...
Operatorl PCMEPGE...
WValne1 DrMERGE w7l

SELECT TOP (200) StartDate, EndDate, Parameter, Sequence, Module, Operatorl, Valuel, Operator2, Value2, Notes, CreateBy, CreateDate, ChangeBy, ChangeDate
FROM PCMEPGEMPARAM
WHERE  (Parameter = "TAXPPN')

StartDate EndDate Parameter Sequence Module Operatorl Valuel Operator2 WValue2 Motes CreateBy C
20160101 99991231 TAXPPN 1 FILO = 11 = % Value 1= Nilai PPN (berupa angka), Value2 = % minovais 20
3 NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NI

#3 - 01/30/2023 04:19 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

Files

clipboard-202301301618-yvpwf.png 46.5 KB 01/30/2023 Tri Rizgiaty
Discount 20230124.js 1.19 KB 01/30/2023 Tri Rizgiaty
Discount Percent 20230124.js 1.39 KB 01/30/2023 Tri Rizgiaty
Func TaxPPN.js 482 Bytes 01/30/2023 Tri Rizgiaty
Price Amount 20230124.js 1.28 KB 01/30/2023 Tri Rizgiaty
